Export (0) Print
Expand All

ADAM requirements

Updated: August 22, 2005

Applies To: Windows Server 2003 R2

Requirements

The following requirements apply to Active Directory Application Mode (ADAM).

Platform requirements

ADAM requires one the following platforms:

  • Microsoft® Windows ServerTM 2003, Standard Edition

  • Microsoft Windows ServerTM 2003, Enterprise Edition

  • Microsoft Windows ServerTM 2003, Datacenter Edition

  • The 64-bit version of Windows Server 2003, Enterprise Edition

  • The 64-bit version of Windows Server 2003, Datacenter Edition

  • Microsoft Windows® XP Professional Service Pack 1 (SP1)

  • Microsoft Windows® XP 64-Bit Edition Service Pack 1 (SP1)

noteNote
There are some functional considerations for running ADAM on Windows XP Professional. For more information, see Running ADAM on Windows XP Professional. In addition, you must also install the latest service packs and hot fixes to run ADAM on Windows XP Professional. For more information, see Windows Update at the Microsoft Web site.

Workgroup and domain requirements

ADAM does not require a forest, domain, or domain controller. You can install ADAM on computers that are configured as any of the following:

  • Domain controllers

  • Domain members

  • Stand-alone computers

Support for LDAP clients

ADAM supports any Lightweight Directory Access Protocol (LDAP) client that is written to the LDAP v3 technical specification.

Support for ADSI clients

ADAM supports Active Directory Service Interfaces (ADSI) for clients running the following:

  • Windows XP Professional

  • Microsoft Windows® XP Home Edition

  • Windows Server 2003 family

  • Microsoft Windows® 2000

noteNote
For complete ADSI functionality with Windows XP Professional, you must install hotfix 817583. For more information about this hotfix, see article 817583 in the Microsoft Knowledge Base.

Was this page helpful?
(1500 characters remaining)
Thank you for your feedback

Community Additions

ADD
Show:
© 2014 Microsoft